#!/bin/bash

function usage() {
	echo "$0 <test_data_file_path> <expected_predicted_output_data_file> <c_binray_file_path>" 
}

test_data=$1
test_target=$2
bin=$3

if [ "$test_data" == "" ] || [ "$test_target" == "" ] || [ "$bin" == "" ]; then
	echo "missing paramters"
	usage
	exit
fi

echo "test data file - $test_data"
echo "expected prediction data file - $test_target"


#echo "predicted output |  class of prediction "
line_no=1
matched_prediction=0
failed_prediction=0
echo "testing output binray by feeding training data ......."
while read line
do
	predicted_output=`$bin $line`
	actual_clsss_in_train=`head -$line_no $test_target | tail -1`
	actual_clsss_in_train1=${actual_clsss_in_train%.*}
	if [ "$predicted_output" ==  "$actual_clsss_in_train1" ]; then
	 let "matched_prediction=matched_prediction+1"
	fi
#	echo $line_no "  | " $predicted_output"   |   "$actual_clsss_in_train1"  | "$matched_prediction
	let "line_no=line_no+1"
done <$test_data

echo "Total records - $(($line_no - 1))"
echo "Matched prediction records - "$matched_prediction
#echo "scale=2; Accuracy -  $(($line_no/$matched_prediction*100))"
